# $Revision: 1.16 $, $Date: 2008/07/27 22:31:06 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RC4
Summary:	Crypt::RC4 Perl module - RC4 encryption algorithm implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::RC4 - implementacja algorytmu szyfrowania RC4
Name:		perl-Crypt-RC4
Version:	2.02
Release:	4
# same as perl
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ca59a7e58ac9597c3b4f3f46ea22629
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple implementation of the RC4 algorithm. RC4 is a stream cipher
designed by Rivest for RSA Data Security (now RSA Security). It is a
variablekey-size stream cipher with byte-oriented operations. The
algorithm is based on the use of a random permutation.

%description -l pl.UTF-8
Prosta implementacja algorytmu RC4. RC4 jest szyfrem strumieniowym
opracowanym przez Rivesta dla RSA Data Security (teraz RSA Security).
Jest to szyfr strumieniowy o zmiennej długości klucza z operacjami
zorientowanymi na bajty. Bazuje na używaniu losowych permutacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/RC4.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-RC4.spec,v $
Revision 1.16  2008/07/27 22:31:06  arekm
- release 4

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:14  paladine
- formatting

Revision 1.12  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.8  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:33  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

